## CORBA Interface IServerInformation

The ServerInformation interface may be used to find out information relating to the executing server. This functionality is not limited to administrators.

### Definition

CORBA Module SASIOMCommon

### IServerInformation Description

CORBA Definitions
method ListCategories | Return a list of the named value categories available to the currently connected client.
method UseCategory | Creates a FilteredList component to manipulate the category's named values that pass the given filter.
method IsAdministrator | Returns TRUE if the current client is an administrator for this server.

Java Classes
IServerInformationHelper | Used to manipulate the IServerInformation type
IServerInformationHolder | Used to process the IServerInformation type as an out parameter

Java Interfaces
IServerInformation | The ServerInformation interface may be used to find out information relating to the executing server. This functionality is not limited to administrators.

Java Interface IServerInformation

The ServerInformation interface may be used to find out information relating to the executing server. This functionality is not limited to administrators.

Package com.sas.iom.SASIOMCommon

IServerInformation Description

`public interface IServerInformation
extends org.omg.CORBA.Object`

Method Summary

java.lang.String[] | ListCategories ( ) throws ( GenericError ); Return a list of the named value categories available to the currently connected client.
IFilteredList | UseCategory ( java.lang.String category , java.lang.String filter ) throws ( GenericError ); Creates a FilteredList component to manipulate the category's named values that pass the given filter.
boolean | IsAdministrator ( ) throws ( GenericError ); Returns TRUE if the current client is an administrator for this server.

Java Class IServerInformationHelper

public class IServerInformationHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IServerInformation type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerInformationHelper

Java Class IServerInformationHolder

public class IServerInformationHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IServerInformation type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerInformationHolder

CORBA Method ListCategories

Return a list of the named value categories available to the currently connected client.

Description
Return a list of the named value categories available to the currently connected client. Some categories are available only to clients that are designated as administrators.

Usage

Java Method ListCategories

`java.lang.String[]` ListCategories (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method UseCategory

Creates a FilteredList component to manipulate the category's named values that pass the given filter.

Description

Usage

Java Method UseCategory

`public IFilteredList` UseCategory (

        java.lang.String category ,
        java.lang.String filter
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
category | in | java.lang.String |
filter | in | java.lang.String |

Example

CORBA Method IsAdministrator

Returns TRUE if the current client is an administrator for this server.

Description
Returns TRUE if the current client is an administrator for this server.

Usage

Java Method IsAdministrator

`boolean` IsAdministrator (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example